Bug 481442 - Review Request: clutter-perl - Perl bindings to the Clutter OpenGL canvas
Review Request: clutter-perl - Perl bindings to the Clutter OpenGL canvas
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-24 17:44 EST by Allisson Azevedo
Modified: 2009-10-05 09:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-05 09:08:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Allisson Azevedo 2009-01-24 17:44:32 EST
Spec URL: http://allisson.fedorapeople.org/packages/clutter-perl/clutter-perl.spec

SRPM URL: http://allisson.fedorapeople.org/packages/clutter-perl/clutter-perl-0.8.2.0-1.fc10.src.rpm

Description: The Clutter Perl bindings allow you to write canvas-based applications in
a Perlish and object-oriented way, freeing you from having to care about
casting and memory management of the original Clutter C API, and yet
remaining close to its spirit.

You can find out more about Clutter at http://www.clutter-project.org.
Comment 1 Jason Tibbitts 2009-03-13 12:05:14 EDT
Since this is a regular Perl module, hosted at CPAN, shouldn't it follow the normal Perl module naming guidelines?  That would make it perl-Clutter.

Also, I believe the URL should be http://search.cpan.org/dist/Clutter/.  The non-capitalized one takes me to a search page.

It might be good to contact upstream to see what the actual license of the package is.  The README file says LGPLv2+; the Clutter man page says "LGPLv2+ or Artistic".  The Clutter::TestHelper says "under the same terms as Clutter itself" and some other documents (Clutter::Cookbook, for example) just have a copyright notice with no license.
Comment 2 Chris Weyl 2009-05-03 16:42:33 EDT
Marking needinfo w.r.t. comment #1.
Comment 3 Allisson Azevedo 2009-10-05 09:08:14 EDT
I drop this request.

Note You need to log in before you can comment on or make changes to this bug.